<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.ejb3.service.remote" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cluster,connector-ref,connectors,execute-in-worker,thread-pool-name"/>
        <elem name="addr-params" value="profile,subsystem,service"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.ejb.remote"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container.$cluster" optional="true"/>
        <capability name="$profile.org.wildfly.remoting.endpoint"/>
        <capability name="$profile.org.wildfly.remoting.connector.$connectors"/>
        <capability name="$profile.org.wildfly.threads.executor.ejb3.$thread-pool-name" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.ejb3"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="connector-ref" nillable="true" stability="default"/>
        <param name="cluster" nillable="true" default="ejb" stability="default"/>
        <param name="connectors" type="List&lt;String&gt;" stability="default"/>
        <param name="execute-in-worker" nillable="true" stability="default"/>
        <param name="service" feature-id="true" default="remote"/>
        <param name="thread-pool-name" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
    </params>
</feature-spec>